<?xml version="1.0"?>
<launch>

    <node pkg="peak_cam" type="peak_cam_node" name="front_peak" output="screen">
        <rosparam command="load" file="$(find peak_cam)/launch/params/front_camera.yaml"/>
        <param name="camera_intrinsics_file" type="string" value="$(env HOME)/.ros/camera_info/front_peak.yaml"/>
    </node>
    
    <node pkg="peak_cam" type="peak_cam_node" name="rear_peak" output="screen">
        <rosparam command="load" file="$(find peak_cam)/launch/params/rear_camera.yaml"/>
        <param name="camera_intrinsics_file" type="string" value="$(env HOME)/.ros/camera_info/rear_peak.yaml"/>
    </node>

    <node name="rviz" pkg="rviz" type="rviz" args="-d $(find peak_cam)/rviz/cameras.rviz"/>

</launch>
